Subject: f90-mode and pc-selection-mode

From: Angelo Graziosi <[email-masked]>
Date: Wed, 17 Feb 2010 23:43:06 +0100

Package: emacs,f90

[ resent from
  http://lists.gnu.org/archive/html/emacs-devel/2010-02/msg00400.html ]

In F90 mode, I still observe things which seem strange in my opinion.

To reproduce, start Emacs with

$ emacs -Q

and enable the Pc-Selection mode,

M-x pc-selection-mode

After this, if I have the code

write(STDERR,*)

double clicking on 'STDERR' and then typing 'a', '0'..., I obtain

write(a,*)
write(0,*)
...

which is expected.

But if I type '*', the result is

write(STDERR*,*)

and not 'write(*,*)', which, really, is what I expect (and want!).

Surely I am missing something here...

Ciao,
Angelo.